## NAME

d.rast.leg - Displays a raster map and its legend on a graphics window

## KEYWORDS

display

## SYNOPSIS

d.rast.leg
d.rast.leg help
d.rast.leg [-fns] map=string [num_of_lines=integer] [rast=string] [title=string] [position=float] [--verbose] [--quiet]

### Flags:

-f
  Flip legend
-n
  Omit entries with missing label
-s
  Draw smooth gradient
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

map=string
  Name of raster map to display
num_of_lines=integer
  Number of lines to appear in the legend
rast=string
  Name of raster map to generate legend from
title=string
  Name of raster map to print in legend
position=float
  Position of vertical map-legend separator (in percent)
  Default: 80

## DESCRIPTION

d.rast.leg shows a raster map along with its legend. It first clears the entire screen, then divides it into a main (left) and a minor (right) frames, and displays a raster map in the main frame and the map legend in the minor frame. The main frame remains active when the program finishes.

## NOTES

The legend may be flipped with the -f flag.

If the num_of_lines parameter is not given then the legend frame will display as many lines as number of categories in the map, otherwise, it will display the first num_of_lines minus 1 categories with the rest being truncated.

The user may adjust the num_of_lines parameter or the size of graphics window to get an appropriate result.

The user may specify a second raster map with the rast parameter from which the legend is generated. This is useful to visualize (time) series of raster maps with a common static legend instead of the default dynamic legend.

To remove all frames when clearing the display, use "`d.erase -f`".

## EXAMPLE

In this example, the polar diagram of the 'aspect' angle map in the North Carolina sample dataset location is generated:

    g.region rast=landclass96 -p
    d.rast.leg landclass96

## SEE ALSO

d.legend, d.erase, d.rast

## AUTHORS

Jianping Xu, Scott Madry, Rutgers University
Markus Neteler

Last changed: $Date: 2011-09-04 15:23:30 +0200 (ne, 04 IX 2011) $

Main index - display index - Full index

© 2003-2014 GRASS Development Team